EasyPet_Notice = {
    type = "group",
    desc = "Placement",
    args = {    
        ["notice"] = {
            name = EasyPetLocals["Messages"]["Mouse"],
            type = "toggle",
            desc = EasyPetLocals["Messages"]["ReadMe"],
            get = function() end,
            set = function() end,
            notCheckable = true,
        },
    }
}

EasyPet_Placement = {
    type = "group",
    desc = "Placement",
    args = {    
        ["Center"] = {
            name = EasyPetLocals["Messages"]["Center"],
            type = "toggle",
            desc = EasyPetLocals["Messages"]["Center1"],
            get = function() end,
            set = function() if not EasyPet:ClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(EasyPetLocals["Messages"]["Error2"]) return end
            EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", UIParent, "CENTER", 0, -200); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
        ["BelowMinimap"] = {
            name = EasyPetLocals["Messages"]["BMM"],
            type = "toggle",
            desc = EasyPetLocals["Messages"]["BMM1"],
            get = function() end,
            set = function() if not EasyPet:ClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(EasyPetLocals["Messages"]["Error2"]) return end
            EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", Minimap, "BOTTOM", 0, -20); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
        ["TopCenter"] = {
            name = EasyPetLocals["Messages"]["TC"],
            type = "toggle",
            desc = EasyPetLocals["Messages"]["TC1"],
            get = function() end,
            set = function() if not EasyPet:ClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(EasyPetLocals["Messages"]["Error2"]) return end
            EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", UIParent, "TOP", 0, -10); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
    }
}

EasyPet_Drag = {
    type = "group",
    desc = "Drag",
    args = {    
        ["Lock"] = {
            name = EasyPetLocals["Messages"]["Drag"],
            type = "toggle",
            desc = EasyPetLocals["Messages"]["Drag1"],
            get = function() return EasyPet.db.profile.Locked end,
            set = function()
                if not EasyPet:ClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(EasyPetLocals["Messages"]["Error2"]) return end
                if EasyPet.db.profile.Locked then
                    EasyPetAnchor:EnableMouse(0)
                    EasyPetAnchor:Hide()
                    EasyPet.db.profile.Locked = false
                else
                    EasyPetAnchor:EnableMouse(1)
                    EasyPetAnchor:Show()
                    EasyPet.db.profile.Locked = true
                end
            end
        },
    }
}

EasyPet_Scale = {
    type = "group",
    desc = "Scale",
    args = {
        ["SCALE"] = {
            name = EasyPetLocals["Messages"]["Scale"],
            type = "range",
            desc = EasyPetLocals["Messages"]["Scale1"],
            get = function() return EasyPet.db.profile.Scale end,
            set = function(v)
                if not EasyPet:ClassCheck() then DEFAULT_CHAT_FRAME:AddMessage(EasyPetLocals["Messages"]["Error2"]) return end
                EasyPet.db.profile.Scale = v
                for i = 1, 8 do
                    local button = getglobal("EasyPetButton"..i)
                    button:SetScale(EasyPet.db.profile.Scale)
                end
            end,
            min = 0,
            max = 2, -- since percentage, max is 100%,
            step = 0.05, -- every 5%
            isPercent = false,
        },
    }
}